using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.admin
{
	/// <summary>
	/// admin_user_EDT 的摘要说明。
	/// </summary>
	public class admin_user_EDT : System.Web.UI.Page
	{
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			sharecode.CheckAdmin();
			sharecode.CheckAdminQx("注册用户管理");
			DTable1.TableName="DTable_User";
			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.List_SQL="select id,用户名,性别,邮箱,登录次数,最后一次登录,注册时间 from DTable_User order by id desc";
			DTable1.AdminMode=true;
			DTable1.Edit_FieldFormat="1||userid|用户名|5|25|||^2||password|md5|5|25||^3||boolean|是|否|||";
			DTable1.Search_Mode =1;
			DTable1.Search ="用户名_dtablestring|用户名|like";

		
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
